Subject: bug#18077: 24.4.50; Info-quoted face should inherit default

From: Sebastian Wiesner <[email-masked]>
Date: Sat, 26 Jul 2014 10:58:56 +0200

>>> The whole purpose of this is to make quoted text appear different, so we
>>> don't want to use the default face.
>> A different style or color would not be sufficient?
> 
> To me "courier" is a different style.
> 
> Making it bold or italic or colored would not really match my
> expectations as a reader of such documentation.

What expectations?  

With respect, Info didn’t use different face for quoted text for ages.  Did the expectations of the readers change all of a sudden?

And if it’s just *your* expectation and your preference, doesn’t it belong into your personal "init.el" then?

>> With respect, I mean no offense, but did you actually look at the
>> screenshots that I attached to my previous mail?
> 
> No, I didn't notice them, and they don't appear very well in my tty
> connection ;-)

Oh, well, they are of quite some importance, since they happen to demonstrate what this is all about:  That courier is not consistently of good quality, and can be a very poor font on some systems.

> Have you looked at whether or not face-font-family-alternatives would
> provide a good fix?

I’m not sure whether I can follow.  I mean, I could add an arbitrary “good” font as alias for "courier" myself, but then I could just customize the "Info-quoted" face right away (which is what I’m doing currently).

And if the system can’t provide proper courier font or alias, how could Emacs do any better?